local chance_of_add = 1/10
local check_rate = 5
local next_check = 0

local borders = {
	"what",
	"how"
}

Hooks:PostHook(PlayerCamera, "update", "WhatHowUpdate", function(self, unit, t, dt)
	if t > next_check then
		next_check = t + check_rate

		if math.random() < chance_of_add then
			ViewportBorder.add_layer(ViewportBorderWhatHowImage:new(
				table.random(borders),
				1920, 1080,
				280, 65, 1357, 765
			))

			self._unit:sound():play("what_how")
		end
	end
end)